Create an OAuth2/OpenID client application
post
Authorizations
defguard_sessionstringRequired
Body
enabledbooleanRequired
namestringRequired
redirect_uristring[]Required
scopestring[]Required
Responses
201
OAuth2 client created.
application/json
objectOptional
400
Invalid OAuth2 client data.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to create OAuth2 client.
application/json
post/api/v1/oauth/
POST /api/v1/oauth/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 71
{
"enabled": true,
"name": "text",
"redirect_uri": [
"text"
],
"scope": [
"text"
]
}{
"client_id": "Kx7mQ2pR9tLvB4nZ",
"client_secret": "wY3hJ8sD1fG6kL0aP5vN2cX7bM4qR9tZ",
"enabled": true,
"id": 1,
"name": "internal app",
"redirect_uri": [
"https://app.example.com/callback"
],
"scope": [
"openid",
"profile",
"email"
]
}Last updated
Was this helpful?